> ## Documentation Index
> Fetch the complete documentation index at: https://api.monument.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get coverage options for a facility

> Returns all available coverage options that can be purchased for a specific facility



## OpenAPI

````yaml /openapi/shopping-openapi.json get /shopping/{portfolio}/v1/coverages/{facilityUuid}
openapi: 3.0.0
info:
  title: Monument Shopping API
  description: Monument Shopping API
  version: '1.0'
  contact: {}
servers:
  - url: https://public-api.prd.monument.io
    description: Production
  - url: https://public-api.stg.monument.io
    description: Staging
security: []
tags:
  - name: Facilities
    description: Facility listing, details, and configuration
  - name: Leads
    description: Lead creation, updates, status, and pre-existing tenant validation
  - name: Shopping Cart
    description: Cart operations and access plans
  - name: Unit Groups
    description: Unit group details and taxes
  - name: Units
    description: Unit and gate access code retrieval
  - name: Payments
    description: Payment profiles and processor information
  - name: Brands
    description: Branding configuration and brand-scoped facilities
  - name: Coverages
    description: Coverage options and private coverage info
  - name: Leases
    description: Lease signing redirects
  - name: Organizations
    description: Portfolio organization information
  - name: Lead Marketing Sources
    description: Marketing source listing
paths:
  /shopping/{portfolio}/v1/coverages/{facilityUuid}:
    get:
      tags:
        - Coverages
      summary: Get coverage options for a facility
      description: >-
        Returns all available coverage options that can be purchased for a
        specific facility
      operationId: PublicApiCoveragesController_getFacilityCoverages
      parameters:
        - name: facilityUuid
          required: true
          in: path
          schema:
            type: string
        - in: header
          required: true
          name: x-api-key
          schema:
            example: monument-2230012-2312321
            description: >-
              Api key required to authenticate your request. Please reach out to
              monument for a key.
        - in: path
          required: true
          name: portfolio
          schema:
            example: abc_selfstorage
      responses:
        '200':
          description: Successfully retrieved coverage options for a facility
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CoverageFacilityOption'
components:
  schemas:
    CoverageFacilityOption:
      type: object
      properties:
        coverageUuid:
          type: string
          format: uuid
        itemTypeUuid:
          type: string
          format: uuid
        premiumInPennies:
          type: number
          nullable: false
        coverageAmountInPennies:
          type: number
          nullable: false
        description:
          type: string
          nullable: true
        provider:
          type: string
          enum:
            - SAFE_LEASE
            - SECURE_LEASE
            - STORAGE_SHIELD
            - RV_PARK_N_PROTECT
            - OTHER
        allowManualChanges:
          type: boolean
        providerDescription:
          type: string
          nullable: true
        isDefault:
          type: boolean
      required:
        - coverageUuid
        - itemTypeUuid
        - premiumInPennies
        - coverageAmountInPennies
        - description
        - provider
        - allowManualChanges
        - providerDescription
        - isDefault

````